Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class EditorsManager

public class EditorsManager
implements ViewPart

Field Summary
`boolean` | `hideInappropriateTabs`

Constructor Summary
`EditorsManager(EditorsTabbedPane tabbedPane)`

Method Summary
`boolean` | `addEdit(UndoableEdit ue)`
`void` | `addViewPart(ViewPart viewPart)`
`boolean` | `canExplore(Object model)`
`void` | `completeTransaction()`
`void` | `explore(Object model, Document document)`
`Action` | `getAction()`
`Action[]` | `getActions()` pending: stub.
`Document` | `getDocument()`
`DynamicPropertySet` | `getEditors()`
`boolean` | `getHideInappropriateTabs()`
`Object` | `getModel()`
`float` | `getPriority(ViewPart viewPart)`
`JComponent` | `getView()`
`void` | `setEditors(DynamicPropertySet dps)`
`void` | `setHideInappropriateTabs(boolean hideInappropriateTabs)`
`void` | `startTransaction(TransactionEvent te)`
`void` | `validateTab(ViewPart viewPart)`
`void` | `validateTabs(Object model)`

Field Detail

### hideInappropriateTabs

    public boolean hideInappropriateTabs

Constructor Detail

### EditorsManager

    public EditorsManager(EditorsTabbedPane tabbedPane)

Method Detail

### addEdit

    public boolean addEdit(UndoableEdit ue)

### addViewPart

    public void addViewPart(ViewPart viewPart)

### canExplore

    public boolean canExplore(Object model)

### completeTransaction

    public void completeTransaction()

### explore

    public void explore(Object model, Document document)

### getAction

    public Action getAction()

### getActions

    public Action[] getActions()

  pending: stub.

### getDocument

    public Document getDocument()

### getEditors

    public DynamicPropertySet getEditors()

### getHideInappropriateTabs

    public boolean getHideInappropriateTabs()

### getModel

    public Object getModel()

### getPriority

    public float getPriority(ViewPart viewPart)

### getView

    public JComponent getView()

### setEditors

    public void setEditors(DynamicPropertySet dps)

### setHideInappropriateTabs

    public void setHideInappropriateTabs(boolean hideInappropriateTabs)

### startTransaction

    public void startTransaction(TransactionEvent te)

### validateTab

    public void validateTab(ViewPart viewPart)

### validateTabs

    public void validateTabs(Object model)

Association Links

to Class ru.biosoft.gui.EditorsTabbedPane

to Class java.util.HashMap

to Class javax.swing.Action

to Class java.util.ArrayList

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM